<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>事件-鼠标事件-画</title>
	<style type="text/css">
		div{
			position: absolute;
			width:20px;
			height:20px;
			background:red;
		}
	</style>
	<script type="text/javascript">
		function getPos(oEvent){
			var scrollTop=document.documentElement.scrollTop||document.body.scrollTop;
			var scrollLeft=document.documentElement.scrollLeft||document.body.scrollLeft;
			return {x:oEvent.clientX+scrollLeft,y:oEvent.clientY+scrollTop}
		};
		document.onmousemove=function(ev){
			var oEvent=ev||event;
			var pos=getPos(oEvent);
			var oDiv=document.getElementById('box');
			var oDiv1=oDiv.getElementsByTagName('div');
			for(var i=oDiv1.length-1;i>0;i--){

					oDiv1[i].style.left=oDiv1[i-1].offsetLeft+'px';
					oDiv1[i].style.top=oDiv1[i-1].offsetTop+'px';
				
			}
			oDiv1[0].style.left=pos.x+'px';
			oDiv1[0].style.top=pos.y+'px';
				
			
		};
	</script>
</head>
<body>
	<div id="box">
		<div id="div1"></div>
		<div id="div1"></div>
		<div id="div1"></div>
		<div id="div1"></div>
		<div id="div1"></div>
		<div id="div1"></div>
		<div id="div1"></div>
		<div id="div1"></div>
		<div id="div1"></div>
		<div id="div1"></div>
		<div id="div1"></div>
		<div id="div1"></div>
		<div id="div1"></div>
		<div id="div1"></div>
		<div id="div1"></div>
	</div>
</body>
</html